Name:           klevernotes
Version:        1.0.0
Release:        1.1
Summary:        Note taking and management application
License:        GPL-3.0-or-later
URL:            https://apps.kde.org/klevernotes/
Source0:        https://download.kde.org/stable/klevernotes/%{version}/%{name}-%{version}.tar.xz
Source1:        https://download.kde.org/stable/klevernotes/%{version}/%{name}-%{version}.tar.xz.sig
Source2:        klevernotes.keyring

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6WebEngineQuick)
BuildRequires:  extra-cmake-modules >= %{_kf6_version}

Requires:       kf6-kirigami-addons
Requires:       qt5-qtdeclarative

%description
KleverNotes allows you to create and preview a Markdown note while giving you
the freedom to customize the preview from settings or using a CSS theme.
You can organize your notes however you want with a combination of categories
and groups, which will be directly reflected on your system in the hierarchy of
your KleverNotes storage folders. Simply choose your storage location and
you're ready to write!

You can print your notes, add small sketches and even create specific tasks for
each of them.

Notes are saved as Markdown files in your KleverNotes storage for easy access.
They support the entire CommonMark specification with extensive syntax.
KleverNotes also introduces a small collection of opt-in “plugins” to extend
basic markdown features, such as: code highlighting, note linking, quick
emoji, etc.


%prep
%autosetup -p1
%cmake_kf6

%build
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

%files -f %{name}.lang
%license LICENSES/*
%doc README.md
%{_kf6_bindir}/klevernotes
%{_kf6_datadir}/applications/org.kde.klevernotes.desktop
%{_kf6_datadir}/icons/hicolor/scalable/apps/org.kde.klevernotes.svg
%{_kf6_metainfodir}/org.kde.klevernotes.metainfo.xml


%changelog
* Wed Oct 02 2024 Christian Tosta <christian.tosta@gmail.com>
- Initial Packaging
